#if !defined ARCHIVE_LIB
#define ARCHIVE_LIB



#include <limits.h>
#include <errno.h>



int open_archive(	char	*archive_name,
			int	open_mode ) ;

int get_first_index(	int					archive_handle,
			archive_index_entry_type		*archive_index_entry_buf_ptr ) ;

int get_next_index(	int					archive_handle,
			archive_index_entry_type		*archive_index_entry_buf_ptr ) ;

int close_archive(	int	archive_handle ) ;

int insert_entry(	int		archive_handle,
			char		*entry_name,
			signature_type	signature,
			int		kind,
			void		*data_ptr,
			int		data_size ) ;

int delete_entry(	int	archive_handle,
			int	entry_handle ) ;

int get_entry_data(	int	archive_handle,
			int	entry_handle,
			void	*data_buf,
			int	buf_size ) ;

int modify_entry(	int					archive_handle,
			int					entry_handle,
			archive_index_entry_type		*new_archive_index_entry_ptr ) ;



#endif
